Package org.zkoss.stateless.sul

## Interface ISliderbuttons

- All Superinterfaces:
    `IAnyGroup<ISliderbuttons>`, `IComponent<ISliderbuttons>`, `IHtmlBasedComponent<ISliderbuttons>`, `IXulElement<ISliderbuttons>`

      public interface ISliderbuttons
      extends IXulElement<ISliderbuttons>, IAnyGroup<ISliderbuttons>

  Immutable `Sliderbuttons` component

  A pair of buttons for slider (`rangeslider` and `multislider`).

  ### Support @Action

  Name | Action Type
  --- | ---
  onRangeValueChange | ActionData: `RangeValueChangeData` Denotes the range value of a component has been changed by the user.

  Author:
    katherine
  See Also:
    `Sliderbuttons`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ISliderbuttons.Builder` | Builds instances of type `ISliderbuttons`.
    `static class` | `ISliderbuttons.Updater` | Builds an updater of type `ISliderbuttons` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ISliderbuttons` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `getEndValue()` | Returns the end value of this sliderbuttons.
    `default int` | `getStartValue()` | Returns the start value of this sliderbuttons.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static ISliderbuttons` | `of​(int start, int end)` | Returns the instance with the given start and end values.
    `static ISliderbuttons` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `ISliderbuttons` | `withEndValue​(int endValue)` | Returns a copy of `this` immutable component with the specified `endValue`.
    `ISliderbuttons` | `withStartValue​(int startValue)` | Returns a copy of `this` immutable component with the specified `startValue`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final ISliderbuttons DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkex.slider.Sliderbuttons"`

      Specified by:
        `getWidgetClass` in interface `IComponent<ISliderbuttons>`

    - #### getStartValue

          default int getStartValue()

      Returns the start value of this sliderbuttons.

      Default: `0`.

    - #### withStartValue

          ISliderbuttons withStartValue​(int startValue)

      Returns a copy of `this` immutable component with the specified `startValue`.

      Sets the start value of this sliderbuttons.

      Parameters:
        `startValue` - The start value of this sliderbuttons.

        Default: `0`.

      Returns:
        A modified copy of the `this` object

    - #### getEndValue

          default int getEndValue()

      Returns the end value of this sliderbuttons.

      Default: `0`.

    - #### withEndValue

          ISliderbuttons withEndValue​(int endValue)

      Returns a copy of `this` immutable component with the specified `endValue`.

      Sets the end value of this sliderbuttons.

      Parameters:
        `endValue` - The end value of this sliderbuttons.

        Default: `0`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static ISliderbuttons of​(int start,
                                   int end)

      Returns the instance with the given start and end values.
      Parameters:
        `start` - The start value of the sliderbuttons.
        `end` - The end value of the sliderbuttons.

    - #### ofId

          static ISliderbuttons ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component.